Page tree

Skip to end of metadata
Go to start of metadata

This section describes the minimum requirements for installing Insure++.

Windows

Windows/x64 is supported. There is no support, however, for Windows/ppc or Windows/IA-64.

The following Windows platforms are supported:

  • Windows 7
  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows 10

Visual Studio Support

The following versions of Visual Studio are supported:

  • Visual Studio 2012 (VC 11.0) 
  • Visual Studio 2013 (VC 12.0) 
  • Visual Studio 2015 (VC 14.0)
  • Visual Studio 2017 (VC 15.0)

We do not support versions of Visual Studio on platforms that Windows does not support (e.g., VS 2015 on Windows Server 2008). This manual uses the term "Visual Studio" to refer to all versions of MS Visual Studio; any necessary distinctions between the versions are noted in the text.

Unix

The following compilers are supported on Linux/x64 systems:

  • GNU GCC 5.4.x - 8.x

Older GCCs may work, but they are not tested.

GLIBC version 2.15 is required.

Only the features supported by the compilers are supported by Insure++. For example, g++-4.8 does not support C++14, so Insure++ does not support C++14 when compiling with g++-4.8. Insure++ supports compiling C++14 code with g++-5.4, however, because g++-5.4 supports C++14.

Supported Distribution

In general, we support Linux, but only the following distributions are tested: 

  • CentOS 7
  • Fedora 18
  • Fedora 24
  • Fedora 25
  • Fedora 26
  • Ubuntu 14
  • Ubuntu 16
  • Ubuntu 17

Disk Space

The amount of disk space required by Insure++ 7.4 depends on which system you are installing. The table below shows the approximate size and ARCH label for each supported platform. These labels will help you complete the installation.

SystemARCHDisk space (MB)
Linux (x86 processor)linux2100

Linux (AMD-64 and Intel EM64T processor)

linux_amd64100
Solaris (SPARC processor)

solaris

150
  • No labels